## kcalutils 25.04.3

=== debian/changelog ===
kcalutils (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:40:02 +0100

kcalutils (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:41:36 +0100

kcalutils (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:03:59 +0100

kcalutils (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:45:52 +0100

kcalutils (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 15 Mar 2025 14:15:29 -0500

=== debian/control ===
Source: kcalutils
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               libkf6calendarcore-dev (>= 6.6.0~),
               libkf6codecs-dev (>= 6.6.0~),
               libkf6coreaddons-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6texttemplate-dev (>= 6.3.0~),
               libkf6widgetsaddons-dev (>= 6.6.0~),
               libkidentitymanagement-dev (>= 25.04.3~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.7.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/kcalutils
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcalutils
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcalutils
Rules-Requires-Root: no

Package: libkcalendarutils-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: kcalutils - data files
 This library provides a set of utility functions that help applications access
 and use calendar data via the KCalCore library.
 .
 This package contains the data files.

Package: libkcalendarutils-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6calendarcore-dev (>= 6.6.0~),
         libkf6codecs-dev (>= 6.6.0~),
         libkf6coreaddons-dev (>= 6.6.0~),
         libkpim6calendarutils6 (= ${binary:Version}),
         ${misc:Depends},
Description: kcalutils - development files
 This library provides a set of utility functions that help applications access
 and use calendar data via the KCalCore library.
 .
 This package contains the development files.

Package: libkpim6calendarutils6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libkcalendarutils-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library with utility functions for the handling of calendar data
 This library provides a set of utility functions that help applications access
 and use calendar data via the KCalCore library.

## kcalutils 25.07.80

=== debian/changelog ===
kcalutils (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Jul 2025 06:40:48 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                libkf6iconthemes-dev (>= 6.6.0~),
                libkf6texttemplate-dev (>= 6.3.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.04.3~),
+               libkidentitymanagement-dev (>= 25.07.80~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.7.0~),
                xauth <!nocheck>,

## kcalutils 25.07.90

=== debian/changelog ===
kcalutils (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:38:02 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                libkf6iconthemes-dev (>= 6.6.0~),
                libkf6texttemplate-dev (>= 6.3.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.07.80~),
+               libkidentitymanagement-dev (>= 25.07.90~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.7.0~),
                xauth <!nocheck>,

## kcalutils 25.08.0

=== debian/changelog ===
kcalutils (4:25.08.0-0zneon+24.04+noble+release+build25) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Sep 2025 01:01:34 +0000

kcalutils (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 13:20:35 +0000

kcalutils (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 12:05:50 +0000

kcalutils (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 11:07:36 +0000

kcalutils (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 04:57:30 +0000

kcalutils (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 11:54:51 +0000

kcalutils (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 14:18:08 +0000

kcalutils (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 15:13:54 +0000

kcalutils (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 20:04:24 +0000

kcalutils (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 19:01:09 +0000

kcalutils (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 11:01:53 +0000

kcalutils (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 21:39:17 +0000

kcalutils (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 08:14:45 +0000

kcalutils (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 21 Aug 2024 16:08:18 +0000

kcalutils (4:24.05.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Jun 2024 10:21:03 +0000

kcalutils (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 11:57:49 +0000

kcalutils (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:21:54 +0000

kcalutils (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:09:59 +0000

kcalutils (4:23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:04:01 +0000

kcalutils (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 16:45:03 +0000

kcalutils (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Nov 2023 16:14:00 +0000

kcalutils (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:20:41 +0000

kcalutils (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 15:58:56 +0000

kcalutils (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 09:51:14 +0000

kcalutils (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 22:19:39 +0000

kcalutils (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:07:32 +0000

kcalutils (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 17:39:01 +0000

kcalutils (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 16:16:35 +0000

kcalutils (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:22:53 +0000

kcalutils (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 09:43:05 +0000

kcalutils (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:12:06 +0000

kcalutils (4:22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 09:44:58 +0000

kcalutils (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 12:33:05 +0000

kcalutils (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 20:59:05 +0000

kcalutils (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 13:51:19 +0000

kcalutils (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 13:04:12 +0000

kcalutils (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 10:58:07 +0000

kcalutils (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 11:03:14 +0000

kcalutils (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 23:08:46 +0000

kcalutils (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:31:51 +0000

kcalutils (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Aug 2021 12:28:41 +0000

kcalutils (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:50:18 +0000

kcalutils (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 08:22:27 +0000

kcalutils (4:21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:52:44 +0000

kcalutils (4:21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:21:07 +0000

kcalutils (4:20.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Mar 2021 12:58:34 +0000



=== debian/tests/control ===
Tests: testsuite
Depends: build-essential,
         dbus-x11,
         kded5,
         kinit,
         libgl1-mesa-dri,
         oxygen5-icon-theme,
         plasma-framework,
         xauth,
         xvfb,
         @,
         @builddeps@
Restrictions: build-needed

## kcalutils 25.08.1

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

set(PIM_VERSION "6.5.1")
project(KCalUtils VERSION ${PIM_VERSION})

# ECM setup
set(KF_MIN_VERSION "6.14.0")
set(QT_REQUIRED_VERSION "6.8.0")

find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH
    ${KCalUtils_SOURCE_DIR}/cmake
    ${ECM_MODULE_PATH}
)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateHeaders)
include(ECMGenerateExportHeader)

include(ECMSetupVersion)
file(
    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
    src/*.cpp
    src/*.h
    autotests/*.cpp
    autotests/*.h
)
set(PRE_COMMIT_INSTALLED FALSE)
if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
        if(${INDEX} GREATER_EQUAL 0)
            set(PRE_COMMIT_INSTALLED TRUE)
        endif()
    endif()
endif()
if(NOT ${PRE_COMMIT_INSTALLED})
    include(KDEGitCommitHooks)
    include(KDEClangFormat)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
endif()

include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)

include(KPIMGrantleeMacros)
include(ECMCheckOutboundLicense)
file(
    GLOB_RECURSE ALL_SOURCE_FILES
    src/*.cpp
    src/*.h
    autotests/*.cpp
    autotests/*.h
)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})

include(ECMAddQch)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(
    QCH
    ${BUILD_QCH}
    "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
)

set(CALENDARUTILS_LIB_VERSION ${PIM_VERSION})
set(IDENTITYMANAGER_LIB_VERSION "6.5.1")
ecm_setup_version(PROJECT VARIABLE_PREFIX KCALUTILS
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/kcalutils_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6CalendarUtilsConfigVersion.cmake"
                        SOVERSION 6
)

########### Find packages ###########
find_package(KF6CoreAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Codecs ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6WidgetsAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6IconThemes ${KF_MIN_VERSION} CONFIG REQUIRED)

find_package(KF6TextTemplate CONFIG REQUIRED)

find_package(KF6CalendarCore ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KPim6IdentityManagementCore ${IDENTITYMANAGER_LIB_VERSION} CONFIG REQUIRED)
add_definitions(-DTRANSLATION_DOMAIN=\"libkcalutils6\")

add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.8.1 KF 6.16.0)

if(BUILD_TESTING)
    add_definitions(-DBUILD_TESTING)
endif()
option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
    add_definitions(-DCOMPILE_WITH_UNITY_CMAKE_SUPPORT)
endif()
add_subdirectory(src)

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6CalendarUtils")
if(BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPim6CalendarUtils_QCH
        FILE KPim6CalendarUtilsQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim6CalendarUtilsQchTargets.cmake\")")
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimCalendarUtilsConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6CalendarUtilsConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(
    FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6CalendarUtilsConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6CalendarUtilsConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(
    EXPORT KPim6CalendarUtilsTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KPim6CalendarUtilsTargets.cmake
    NAMESPACE KPim6::
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/src/kcalutils_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/KCalUtils/
    COMPONENT Devel
)

if(DEFINED kde_configure_git_pre_commit_hook)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()
ki18n_install(po)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause

include(ECMAddTests)

find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED COMPONENTS Test)

set(TEST_DATA_DIR "${CMAKE_CURRENT_SOURCE_DIR}/data")
set(TEST_TEMPLATE_PATH "${CMAKE_SOURCE_DIR}/templates")
set(TEST_PLUGIN_PATH "${CMAKE_BINARY_DIR}/grantlee")
configure_file(test_config.h.in ${CMAKE_CURRENT_BINARY_DIR}/test_config.h @ONLY)

ecm_add_tests(testdndfactory.cpp teststringify.cpp testtodotooltip.cpp
    NAME_PREFIX "kcalutils-"
    LINK_LIBRARIES KPim6CalendarUtils KF6::I18n Qt::Test
)

ecm_add_test(testincidenceformatter.cpp testincidenceformatter.h
    TEST_NAME "testincidenceformatter"
    NAME_PREFIX "kcalutils-"
    LINK_LIBRARIES KPim6CalendarUtils Qt::Core Qt::Test KF6::CalendarCore KF6::I18n KPim6::IdentityManagementCore KF6::TextTemplate
)

# Make sure that dates are formatted in C locale
set_tests_properties(
    kcalutils-testincidenceformatter
    PROPERTIES
        ENVIRONMENT
            "LC_ALL=C"
)
set_tests_properties(
    kcalutils-testtodotooltip
    PROPERTIES
        ENVIRONMENT
            "LC_ALL=C"
)

=== debian/changelog ===
kcalutils (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:06:57 +0100

kcalutils (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:51:18 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                libkf6iconthemes-dev (>= 6.6.0~),
                libkf6texttemplate-dev (>= 6.3.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.07.90~),
+               libkidentitymanagement-dev (>= 25.08.1~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.7.0~),
                xauth <!nocheck>,

## kcalutils 25.08.1+p24.04+vstable+git20250914.1532

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
-set(PIM_VERSION "6.5.1")
+set(PIM_VERSION "6.5.2")
 project(KCalUtils VERSION ${PIM_VERSION})
 
 # ECM setup

=== debian/changelog ===
kcalutils (4:25.08.1+p24.04+vstable+git20250914.1532-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 14 Sep 2025 15:32:34 +0000

kcalutils (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 09:45:23 +0000

## kcalutils 25.08.1+p24.04+vstable+git20250916.0335

=== debian/changelog ===
kcalutils (4:25.08.1+p24.04+vstable+git20250916.0335-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 16 Sep 2025 03:35:48 +0000

## kcalutils 25.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -71,7 +71,7 @@
 )
 
 set(CALENDARUTILS_LIB_VERSION ${PIM_VERSION})
-set(IDENTITYMANAGER_LIB_VERSION "6.5.1")
+set(IDENTITYMANAGER_LIB_VERSION "6.5.2")
 ecm_setup_version(PROJECT VARIABLE_PREFIX KCALUTILS
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/kcalutils_version.h"
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6CalendarUtilsConfigVersion.cmake"

=== debian/changelog ===
kcalutils (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:42:34 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                libkf6iconthemes-dev (>= 6.6.0~),
                libkf6texttemplate-dev (>= 6.3.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.08.1~),
+               libkidentitymanagement-dev (>= 25.08.2~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.7.0~),
                xauth <!nocheck>,

## kcalutils 25.08.2+p24.04+vstable+git20251015.1739

=== debian/changelog ===
kcalutils (4:25.08.2+p24.04+vstable+git20251015.1739-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 17:39:26 +0000

kcalutils (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 06:27:34 +0000

=== debian/control ===
Source: kcalutils
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               kf6-extra-cmake-modules,
               kf6-kcalendarcore-dev,
               kf6-kcodecs-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               kf6-ktextaddons-dev,
               kf6-ktexttemplate-dev,
               kpim6-kidentitymanagement-dev,
               kpim6-kpimtextedit-dev,
               libical-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               reuse
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/pim/kcalutils
Vcs-Git: https://invent.kde.org/neon/kde/kcalutils.git
Vcs-Browser: https://invent.kde.org/neon/kde/kcalutils
Maintainer: Neon CI <neon@kde.org>

Package: kpim6-kcalendarutils
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libkf5calendarutils5,
          libkf5calendarutils5-bin,
          libkf5calendarutils5-data,
          libkpim6calendarutils6
Description: library with utility functions for the handling of calendar data
 This library provides a set of utility functions that help applications access
 and use calendar data via the KCalCore library.

Package: kpim6-kcalendarutils-dev
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: kf6-kcalendarcore-dev,
         kf6-kconfig-dev,
         kf6-kcoreaddons-dev,
         kpim6-kcalendarutils (= ${binary:Version}),
         ${misc:Depends}
Replaces: libkf5calendarutils-dev, libkpim6calendarutils-dev
Description: kcalutils - development files
 This library provides a set of utility functions that help applications access
 and use calendar data via the KCalCore library.
 .
 This package contains the development files.

Package: libkpim6calendarutils-dev
Architecture: all
Depends: kpim6-kcalendarutils-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6calendarutils6
Architecture: all
Depends: kpim6-kcalendarutils, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5calendarutils-dev
Architecture: all
Depends: kpim6-kcalendarutils-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5calendarutils5
Architecture: all
Depends: kpim6-kcalendarutils, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5calendarutils5-bin
Architecture: all
Depends: kpim6-kcalendarutils, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5calendarutils5-data
Architecture: all
Depends: kpim6-kcalendarutils, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## kcalutils 25.08.2+p24.04+vstable+git20251019.0738

=== debian/changelog ===
kcalutils (4:25.08.2+p24.04+vstable+git20251019.0738-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 07:38:56 +0000

## kcalutils 25.08.2+p24.04+vstable+git20251031.0352

=== debian/changelog ===
kcalutils (4:25.08.2+p24.04+vstable+git20251031.0352-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 03:52:24 +0000

## kcalutils 25.08.2+p24.04+vunstable+git20251020.0339

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,13 +2,13 @@
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
-set(PIM_VERSION "6.5.2")
+set(PIM_VERSION "6.5.40")
 project(KCalUtils VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.14.0")
+set(KF_MIN_VERSION "6.17.0")
 set(QT_REQUIRED_VERSION "6.8.0")
-
+set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH
     ${KCalUtils_SOURCE_DIR}/cmake
@@ -71,7 +71,7 @@
 )
 
 set(CALENDARUTILS_LIB_VERSION ${PIM_VERSION})
-set(IDENTITYMANAGER_LIB_VERSION "6.5.2")
+set(IDENTITYMANAGER_LIB_VERSION "6.5.40")
 ecm_setup_version(PROJECT VARIABLE_PREFIX KCALUTILS
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/kcalutils_version.h"
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6CalendarUtilsConfigVersion.cmake"
@@ -92,7 +92,7 @@
 add_definitions(-DTRANSLATION_DOMAIN=\"libkcalutils6\")
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.8.1 KF 6.16.0)
+ecm_set_disabled_deprecation_versions(QT 6.8.1 KF 6.19.0)
 
 if(BUILD_TESTING)
     add_definitions(-DBUILD_TESTING)

=== debian/changelog ===
kcalutils (4:25.08.2+p24.04+vunstable+git20251020.0339-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 03:39:19 +0000

## kcalutils 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,13 +2,13 @@
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
-set(PIM_VERSION "6.5.40")
+set(PIM_VERSION "6.5.3")
 project(KCalUtils VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.17.0")
+set(KF_MIN_VERSION "6.14.0")
 set(QT_REQUIRED_VERSION "6.8.0")
-set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
+
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH
     ${KCalUtils_SOURCE_DIR}/cmake
@@ -71,7 +71,7 @@
 )
 
 set(CALENDARUTILS_LIB_VERSION ${PIM_VERSION})
-set(IDENTITYMANAGER_LIB_VERSION "6.5.40")
+set(IDENTITYMANAGER_LIB_VERSION "6.5.3")
 ecm_setup_version(PROJECT VARIABLE_PREFIX KCALUTILS
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/kcalutils_version.h"
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6CalendarUtilsConfigVersion.cmake"
@@ -92,7 +92,7 @@
 add_definitions(-DTRANSLATION_DOMAIN=\"libkcalutils6\")
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.8.1 KF 6.19.0)
+ecm_set_disabled_deprecation_versions(QT 6.8.1 KF 6.16.0)
 
 if(BUILD_TESTING)
     add_definitions(-DBUILD_TESTING)

=== autotests/CMakeLists.txt ===
--- 
+++ 
@@ -20,17 +20,3 @@
     NAME_PREFIX "kcalutils-"
     LINK_LIBRARIES KPim6CalendarUtils Qt::Core Qt::Test KF6::CalendarCore KF6::I18n KPim6::IdentityManagementCore KF6::TextTemplate
 )
-
-# Make sure that dates are formatted in C locale
-set_tests_properties(
-    kcalutils-testincidenceformatter
-    PROPERTIES
-        ENVIRONMENT
-            "LC_ALL=C"
-)
-set_tests_properties(
-    kcalutils-testtodotooltip
-    PROPERTIES
-        ENVIRONMENT
-            "LC_ALL=C"
-)

=== debian/changelog ===
kcalutils (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 15:22:31 +0000

=== debian/control ===
Source: kcalutils
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               libkf6calendarcore-dev (>= 6.6.0~),
               libkf6codecs-dev (>= 6.6.0~),
               libkf6coreaddons-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6texttemplate-dev (>= 6.3.0~),
               libkf6widgetsaddons-dev (>= 6.6.0~),
               libkidentitymanagement-dev (>= 25.08.3~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.7.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/kcalutils
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcalutils
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcalutils
Rules-Requires-Root: no

Package: libkcalendarutils-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: kcalutils - data files
 This library provides a set of utility functions that help applications access
 and use calendar data via the KCalCore library.
 .
 This package contains the data files.

Package: libkcalendarutils-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6calendarcore-dev (>= 6.6.0~),
         libkf6codecs-dev (>= 6.6.0~),
         libkf6coreaddons-dev (>= 6.6.0~),
         libkpim6calendarutils6 (= ${binary:Version}),
         ${misc:Depends},
Description: kcalutils - development files
 This library provides a set of utility functions that help applications access
 and use calendar data via the KCalCore library.
 .
 This package contains the development files.

Package: libkpim6calendarutils6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libkcalendarutils-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library with utility functions for the handling of calendar data
 This library provides a set of utility functions that help applications access
 and use calendar data via the KCalCore library.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/pkg-info.mk

# Starting with a library package $*, remove the ABI and append a
# -MAJOR.MINOR suffix without the third component of the upstream version.
ABIVirtualPackage = $(shell echo $* | sed 's/abi[0-9]\+//')-$(basename $(DEB_VERSION_UPSTREAM))
pkgs_lib := $(filter-out %-dev %-dbg %-bin %-data,$(filter lib%,$(shell dh_listpackages)))

%:
	dh $@

override_dh_makeshlibs: $(pkgs_lib:=-makeshlibs)
	dh_makeshlibs --remaining-packages
$(pkgs_lib:=-makeshlibs): %-makeshlibs:
	dh_makeshlibs -p$* '-V$* (>= $(DEB_VERSION_EPOCH_UPSTREAM)), $(ABIVirtualPackage)'

override_dh_gencontrol: $(pkgs_lib:=-gencontrol)
	dh_gencontrol --remaining-packages
$(pkgs_lib:=-gencontrol): %-gencontrol:
	dh_gencontrol -p$* -- -VABI:VirtualPackage=$(ABIVirtualPackage)

override_dh_auto_test:
	-xvfb-run -- dh_auto_test --no-parallel

## kcalutils 25.08.3+p24.04+vunstable+git20251204.0527

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,13 +2,13 @@
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
-set(PIM_VERSION "6.5.3")
+set(PIM_VERSION "6.6.40")
 project(KCalUtils VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.14.0")
-set(QT_REQUIRED_VERSION "6.8.0")
-
+set(KF_MIN_VERSION "6.19.0")
+set(QT_REQUIRED_VERSION "6.9.0")
+set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH
     ${KCalUtils_SOURCE_DIR}/cmake
@@ -71,7 +71,7 @@
 )
 
 set(CALENDARUTILS_LIB_VERSION ${PIM_VERSION})
-set(IDENTITYMANAGER_LIB_VERSION "6.5.3")
+set(IDENTITYMANAGER_LIB_VERSION "6.6.40")
 ecm_setup_version(PROJECT VARIABLE_PREFIX KCALUTILS
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/kcalutils_version.h"
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6CalendarUtilsConfigVersion.cmake"
@@ -92,7 +92,7 @@
 add_definitions(-DTRANSLATION_DOMAIN=\"libkcalutils6\")
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.8.1 KF 6.16.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
 
 if(BUILD_TESTING)
     add_definitions(-DBUILD_TESTING)

=== debian/changelog ===
kcalutils (4:25.08.3+p24.04+vunstable+git20251204.0527-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 05:27:27 +0000

kcalutils (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:34:28 +1000

## kcalutils 25.08.3+p24.04+vunstable+git20251206.0853

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 project(KCalUtils VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.19.0")
+set(KF_MIN_VERSION "6.20.0")
 set(QT_REQUIRED_VERSION "6.9.0")
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)

=== debian/changelog ===
kcalutils (4:25.08.3+p24.04+vunstable+git20251206.0853-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 08:53:06 +0000

## kcalutils 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,12 +2,12 @@
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
-set(PIM_VERSION "6.6.40")
+set(PIM_VERSION "6.5.80")
 project(KCalUtils VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.20.0")
-set(QT_REQUIRED_VERSION "6.9.0")
+set(KF_MIN_VERSION "6.18.0")
+set(QT_REQUIRED_VERSION "6.8.0")
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH
@@ -71,7 +71,7 @@
 )
 
 set(CALENDARUTILS_LIB_VERSION ${PIM_VERSION})
-set(IDENTITYMANAGER_LIB_VERSION "6.6.40")
+set(IDENTITYMANAGER_LIB_VERSION "6.5.80")
 ecm_setup_version(PROJECT VARIABLE_PREFIX KCALUTILS
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/kcalutils_version.h"
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6CalendarUtilsConfigVersion.cmake"

=== debian/changelog ===
kcalutils (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 07:55:06 +0000

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                libkf6iconthemes-dev (>= 6.6.0~),
                libkf6texttemplate-dev (>= 6.3.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.08.3~),
+               libkidentitymanagement-dev (>= 25.11.80~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.7.0~),
                xauth <!nocheck>,

## kcalutils 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
-set(PIM_VERSION "6.5.80")
+set(PIM_VERSION "6.5.90")
 project(KCalUtils VERSION ${PIM_VERSION})
 
 # ECM setup
@@ -71,7 +71,7 @@
 )
 
 set(CALENDARUTILS_LIB_VERSION ${PIM_VERSION})
-set(IDENTITYMANAGER_LIB_VERSION "6.5.80")
+set(IDENTITYMANAGER_LIB_VERSION "6.5.90")
 ecm_setup_version(PROJECT VARIABLE_PREFIX KCALUTILS
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/kcalutils_version.h"
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6CalendarUtilsConfigVersion.cmake"

=== debian/changelog ===
kcalutils (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:02:22 +0000

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                libkf6iconthemes-dev (>= 6.6.0~),
                libkf6texttemplate-dev (>= 6.3.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.11.80~),
+               libkidentitymanagement-dev (>= 25.11.90~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.7.0~),
                xauth <!nocheck>,

## kcalutils 25.12.0

=== debian/changelog ===
kcalutils (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:17:57 +0000

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                libkf6iconthemes-dev (>= 6.6.0~),
                libkf6texttemplate-dev (>= 6.3.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.11.90~),
+               libkidentitymanagement-dev (>= 25.12.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.7.0~),
                xauth <!nocheck>,

## kcalutils 25.12.0+p24.04+vstable+git20251222.0545

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
-set(PIM_VERSION "6.5.90")
+set(PIM_VERSION "6.6.1")
 project(KCalUtils VERSION ${PIM_VERSION})
 
 # ECM setup
@@ -71,7 +71,7 @@
 )
 
 set(CALENDARUTILS_LIB_VERSION ${PIM_VERSION})
-set(IDENTITYMANAGER_LIB_VERSION "6.5.90")
+set(IDENTITYMANAGER_LIB_VERSION "6.6.0")
 ecm_setup_version(PROJECT VARIABLE_PREFIX KCALUTILS
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/kcalutils_version.h"
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6CalendarUtilsConfigVersion.cmake"

=== debian/changelog ===
kcalutils (4:25.12.0+p24.04+vstable+git20251222.0545-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 22 Dec 2025 05:45:45 +0000

kcalutils (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:30:17 +1000

## kcalutils 25.12.0+p24.04+vstable+git20251231.0202

=== debian/changelog ===
kcalutils (4:25.12.0+p24.04+vstable+git20251231.0202-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 02:02:24 +0000

## kcalutils 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -71,7 +71,7 @@
 )
 
 set(CALENDARUTILS_LIB_VERSION ${PIM_VERSION})
-set(IDENTITYMANAGER_LIB_VERSION "6.6.0")
+set(IDENTITYMANAGER_LIB_VERSION "6.6.1")
 ecm_setup_version(PROJECT VARIABLE_PREFIX KCALUTILS
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/kcalutils_version.h"
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6CalendarUtilsConfigVersion.cmake"

=== debian/changelog ===
kcalutils (4:25.12.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Tue, 13 Jan 2026 12:48:21 +0100

kcalutils (4:25.08.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 03 Dec 2025 17:59:10 +0100

kcalutils (4:25.08.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Tue, 18 Nov 2025 21:23:57 +0100

=== debian/control ===
Source: kcalutils
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               libkf6calendarcore-dev (>= 6.18.0~),
               libkf6codecs-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6iconthemes-dev (>= 6.18.0~),
               libkf6texttemplate-dev (>= 6.3.0~),
               libkf6widgetsaddons-dev (>= 6.18.0~),
               libkidentitymanagement-dev (>= 25.12.1~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.8.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.3
Homepage: https://invent.kde.org/pim/kcalutils
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kcalutils
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kcalutils.git
Rules-Requires-Root: no

Package: libkcalendarutils-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: kcalutils - data files
 This library provides a set of utility functions that help applications access
 and use calendar data via the KCalCore library.
 .
 This package contains the data files.

Package: libkcalendarutils-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6calendarcore-dev (>= 6.18.0~),
         libkf6codecs-dev (>= 6.18.0~),
         libkf6coreaddons-dev (>= 6.18.0~),
         libkpim6calendarutils6 (= ${binary:Version}),
         ${misc:Depends},
Description: kcalutils - development files
 This library provides a set of utility functions that help applications access
 and use calendar data via the KCalCore library.
 .
 This package contains the development files.

Package: libkpim6calendarutils6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libkcalendarutils-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library with utility functions for the handling of calendar data
 This library provides a set of utility functions that help applications access
 and use calendar data via the KCalCore library.

## kcalutils 25.12.1+p24.04+vstable+git20260106.1959

=== debian/changelog ===
kcalutils (4:25.12.1+p24.04+vstable+git20260106.1959-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 19:59:10 +0000

kcalutils (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:18:47 +1000

## kcalutils 25.12.1+p24.04+vstable+git20260118.0216

=== debian/changelog ===
kcalutils (4:25.12.1+p24.04+vstable+git20260118.0216-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 18 Jan 2026 02:16:16 +0000

## kcalutils 25.12.1+p24.04+vstable+git20260130.0742

=== debian/changelog ===
kcalutils (4:25.12.1+p24.04+vstable+git20260130.0742-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 07:42:45 +0000
